'use strict';

// Setting up route
angular.module('featureMappers').config(['$stateProvider',
  function ($stateProvider) {
    // FeatureMappers state routing
    $stateProvider
      .state('featureMappers', {
        abstract: true,
        url: '/featureMappers',
        template: '<ui-view/>'
      })
      .state('featureMappers.list', {
        url: '/list',
        templateUrl: 'modules/featureMappers/client/views/list-featureMapper.client.view.html'
      })
      .state('featureMappers.create', {
        url: '/create',
        templateUrl: 'modules/featureMappers/client/views/create-featureMapper.client.view.html',
        data: {
          roles: ['user', 'admin']
        }
      })
      .state('featureMappers.view', {
        url: '/:featureMapperId',
        templateUrl: 'modules/featureMappers/client/views/view-featureMapper.client.view.html'
      })
      .state('featureMappers.edit', {
        url: '/:featureMapperId/edit',
        templateUrl: 'modules/featureMappers/client/views/edit-featureMapper.client.view.html',
        data: {
          roles: ['user', 'admin']
        }
      });
  }
]);
